Bug 1126354 - dist-geo-rep: Python backtrace seen in geo-rep logs "ValueError: signal only works in main thread"
Summary: dist-geo-rep: Python backtrace seen in geo-rep logs "ValueError: signal only ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication
Version: 2.1
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: ---
: RHGS 2.1.4
Assignee: Aravinda VK
QA Contact: Sudhir D
URL:
Whiteboard:
Depends On: 1044420
Blocks: 1073815 1078068
TreeView+ depends on / blocked
 
Reported: 2014-08-04 09:14 UTC by Vikhyat Umrao
Modified: 2018-12-06 17:35 UTC (History)
17 users (show)

Fixed In Version: glusterfs-3.4.0.65rhs-1
Doc Type: Bug Fix
Doc Text:
Previously, Geo-replication monitor would terminate abruptly and the Red Hat Storage node would not sync with the other nodes due to a a limitation in Python. This limited the code to handle the signals only in the main thread. With this fix, the Geo-replication worker thread shuts down gracefully and the Geo-replication monitor does not terminate abruptly.
Clone Of: 1044420
Environment:
Last Closed: 2014-09-18 18:24:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1263 normal SHIPPED_LIVE Low: Red Hat Storage 2.1 security, bug fix, and enhancement update 2014-09-18 22:23:01 UTC

Comment 3 M S Vishwanath Bhat 2014-08-18 19:31:55 UTC
I used to hit this very consistently during automation run in beaker. Now I run the same thing once more and it is not happenning.

https://beaker.engineering.redhat.com/jobs/724504

Tested in version: glusterfs-3.4.0.65rhs

Comment 4 Pavithra 2014-08-22 05:30:27 UTC
Hi Aravinda,

Please review the edited doc text for technical accuracy and sign off.

Comment 5 Aravinda VK 2014-08-22 06:39:50 UTC
doc text looks good to me.

Comment 7 errata-xmlrpc 2014-09-18 18:24:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-1263.html


Note You need to log in before you can comment on or make changes to this bug.